version: '2'
mpp-vars:
  name: ocp
  use_containers_extra_store: true
  # image_size: '17179869184'
pipelines:
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: distro_gpg_keys
      disable_dracut: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl_repo
          repos:
            mpp-join:
            - mpp-eval: image_repos
            - mpp-eval: extra_repos
          packages:
            mpp-join:
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            - - podman
              - containernetworking-plugins
              - curl
          excludes:
          - dracut-config-rescue
  - type: org.osbuild.skopeo
    inputs:
      images:
        type: org.osbuild.containers
        origin: org.osbuild.source
        mpp-resolve-images:
          images:
            - source: registry.gitlab.com/centos/automotive/sample-images/demo/auto-apps
              tag: latest
            - source: registry.gitlab.com/centos/automotive/sample-images/demo/vsomeip
              tag: v0.1
    options:
      destination:
        type: containers-storage
        storage-path:
          mpp-eval: containers_extra_store
  - type: org.osbuild.mkdir
    options:
      paths:
      - path: /demo/ocp
        parents: true
  - type: org.osbuild.copy
    inputs:
      ocp-vsomeip:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: vsomeip.yml
          path: ../files/ocp/vsomeip.yml
      unit-vsomeip:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: vsomeip.service
          path: ../files/ocp/vsomeip.service
    options:
      paths:
      - from:
          mpp-format-string: input://ocp-vsomeip/{embedded['vsomeip.yml']}
        to: tree:///demo/ocp/vsomeip.yml
      - from:
          mpp-format-string: input://unit-vsomeip/{embedded['vsomeip.service']}
        to: tree:///usr/lib/systemd/system/vsomeip.service
  - type: org.osbuild.copy
    inputs:
      ocp-engine:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: engine.yml
          path: ../files/ocp/engine.yml
      unit-engine:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: engine.service
          path: ../files/ocp/engine.service
    options:
      paths:
      - from:
          mpp-format-string: input://ocp-engine/{embedded['engine.yml']}
        to: tree:///demo/ocp/engine.yml
      - from:
          mpp-format-string: input://unit-engine/{embedded['engine.service']}
        to: tree:///usr/lib/systemd/system/engine.service
  - type: org.osbuild.copy
    inputs:
      ocp-radio:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: radio.yml
          path: ../files/ocp/radio.yml
      unit-radio:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: radio.service
          path: ../files/ocp/radio.service
    options:
      paths:
      - from:
          mpp-format-string: input://ocp-radio/{embedded['radio.yml']}
        to: tree:///demo/ocp/radio.yml
      - from:
          mpp-format-string: input://unit-radio/{embedded['radio.service']}
        to: tree:///usr/lib/systemd/system/radio.service
  - type: org.osbuild.systemd
    options:
      enabled_services:
      - radio.service
